/**
 * 求数组中的最大值
 * @param {*} arr
 */
const maxArray = (arr) =>
  Math.max(...arr.filter((item) => Boolean(item) || item === 0));

/**
 * 扁平化数组
 * @param {*} arr
 */
const flattenFun = (arr) => {
  return [].concat(
    ...arr.map((item) => (Array.isArray(item) ? flattenFun(item) : item))
  );
};

/**
 *   专门用来处理 iview动态数据,如果后端返回的则是动态列的话,可以使用此方法
 */
let column;
let target = {};
const iviewDataDetaill = (columnTitle, columnData) => {
  column = columnTitle.map((item) => ({
    title: item,
    key: item
  }));
  target = {};
  for (const key in columnTitle) {
    target[columnTitle[key]] = columnData[key];
  }
};
export { maxArray, flattenFun, iviewDataDetaill };
